Page MenuHomeFreeBSD

graphics/mesa-dri: update to 18.3.1
ClosedPublic

Authored by jbeich on Nov 6 2018, 5:53 PM.

Details

Reviewers
None
Group Reviewers
x11
Commits
rP490570: graphics/mesa-{libs,dri}: update to 18.3.2
Test Plan
  • poudriere bulk -t is green on 11.2 i386/amd64/aarch64/armv6, 12.0 i386/amd64, 13.0 i386/amd64/aarch64/armv7
  • Some consumers have been tested (accidentally) as part of rP484273 and D17645
  • i965 runtime was tested on 13.0 amd64 and in 11.2 i386 jail
  • bug 233034 for feedback, coordination and regressions

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jbeich created this revision.Nov 6 2018, 5:53 PM
jbeich set the repository for this revision to rP FreeBSD ports repository.Nov 6 2018, 5:55 PM
jbeich updated this revision to Diff 50202.Nov 9 2018, 12:38 PM
jbeich retitled this revision from graphics/mesa-{libs,dri}: update to 18.3.0 to graphics/mesa-dri: update to 18.3.0.
jbeich edited the test plan for this revision. (Show Details)
  • Update to RC2
jbeich updated this revision to Diff 50203.Nov 9 2018, 12:38 PM

Oops, exclude D16571 changes.

jbeich updated this revision to Diff 50326.Nov 12 2018, 5:14 PM
  • Add <GL/glext.h> workaround for consumers
  • Switch to CLOCK_MONOTONIC_FAST (based on Greg V's patch)
  • Detect pthread_setaffinity_np() (based on Greg V's patch)
jbeich updated this revision to Diff 50327.Nov 12 2018, 5:19 PM

Oops, cpu_set_t is typedef on DragonFly, not macro.

jbeich updated this revision to Diff 50455.Nov 15 2018, 6:35 PM
jbeich marked an inline comment as done.
  • Rebase
jbeich updated this revision to Diff 50503.Nov 16 2018, 10:59 PM
  • Update to RC3
jbeich updated this revision to Diff 50919.Nov 22 2018, 6:01 PM
  • Update to RC4
jbeich updated this revision to Diff 51306.Nov 28 2018, 10:38 PM
  • Rebase
jbeich updated this revision to Diff 51352.Nov 29 2018, 1:37 PM
  • Update to RC5
jbeich updated this revision to Diff 51703.Dec 7 2018, 12:11 PM
jbeich edited the test plan for this revision. (Show Details)
jbeich edited the test plan for this revision. (Show Details)Dec 7 2018, 12:12 PM
jbeich edited the test plan for this revision. (Show Details)Dec 7 2018, 12:19 PM
jbeich updated this revision to Diff 51710.Dec 7 2018, 1:02 PM
  • Flatten rename as it breaks getting the patch via download link
jbeich updated this revision to Diff 51711.Dec 7 2018, 1:05 PM
  • Oops, arcanist doesn't expect --no-prefix
jbeich edited the test plan for this revision. (Show Details)Dec 7 2018, 1:55 PM
jbeich updated this revision to Diff 51969.Dec 13 2018, 7:46 PM
jbeich retitled this revision from graphics/mesa-dri: update to 18.3.0 to graphics/mesa-dri: update to 18.3.1.
jbeich updated this revision to Diff 51970.Dec 13 2018, 7:49 PM
  • Flatten rename as it breaks getting the patch via download link (again)
jbeich updated this revision to Diff 52346.Dec 27 2018, 7:26 PM
  • Rebase
This revision was not accepted when it landed; it landed in state Needs Review.Jan 17 2019, 3:35 PM
This revision was automatically updated to reflect the committed changes.